## org.eclipse.emf.ecore.sdo.presentation
Class SDOModelWizard.SDOModelWizardInitialObjectCreationPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.ecore.sdo.presentation.SDOModelWizard.SDOModelWizardInitialObjectCreationPage

All Implemented Interfaces:
  IDialogPage, IMessageProvider, IWizardPage

Enclosing class:
  SDOModelWizard

    public class SDOModelWizard.SDOModelWizardInitialObjectCreationPage

extends WizardPage

This is the page where the type of object to create is selected.

Field Summary
`protected EDataGraph` `eDataGraph`
`protected java.lang.String` `encoding`
`protected CCombo` `encodingField`
`protected java.util.List<java.lang.String>` `encodings`
`protected Combo` `initialObjectField`
`protected boolean` `isType`
`protected java.lang.String` `modelObject` The name of the model to fetch
`protected java.lang.String` `modelURI` The URI of the model to fetch
`protected CCombo` `modelURIField`
`protected ModifyListener` `validator`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`SDOModelWizard.SDOModelWizardInitialObjectCreationPage(java.lang.String pageId)` Pass in the selection.

Method Summary
`void` `createControl(Composite parent)`
`EDataGraph` `createRootObject()`
`java.lang.String` `getEncoding()`
`protected java.util.Collection<java.lang.String>` `getEncodings()`
`java.lang.String` `getInitialObjectName()`
`protected java.lang.String` `getLabel(java.lang.String typeName)` Returns the label for the specified type name
`java.lang.String` `getModelObject()`
`java.lang.String` `getModelURI()`
`boolean` `isPageComplete()`
`protected void` `loadModelURI()`
`boolean` `performFinish()` Store the dialog field settings upon completion.
`void` `setVisible(boolean visible)`
`protected boolean` `validatePage()`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp`

Field Detail

### initialObjectField

    protected Combo initialObjectField

### encodings

    protected java.util.List<java.lang.String> encodings

### modelURI

    protected java.lang.String modelURI

  The URI of the model to fetch

### modelURIField

    protected CCombo modelURIField

### modelObject

    protected java.lang.String modelObject

  The name of the model to fetch

### eDataGraph

    protected EDataGraph eDataGraph

### isType

    protected boolean isType

### encoding

    protected java.lang.String encoding

### encodingField

    protected CCombo encodingField

### validator

    protected ModifyListener validator

Constructor Detail

### SDOModelWizard.SDOModelWizardInitialObjectCreationPage

    public SDOModelWizard.SDOModelWizardInitialObjectCreationPage(java.lang.String pageId)

  Pass in the selection.

Method Detail

### createRootObject

    public EDataGraph createRootObject()

### createControl

    public void createControl(Composite parent)

### validatePage

    protected boolean validatePage()

### setVisible

    public void setVisible(boolean visible)

  Specified by:
    `setVisible` in interface `IDialogPage`
  Overrides:
    `setVisible` in class `DialogPage`

### loadModelURI

    protected void loadModelURI()

### isPageComplete

    public boolean isPageComplete()

  Specified by:
    `isPageComplete` in interface `IWizardPage`
  Overrides:
    `isPageComplete` in class `WizardPage`

### performFinish

    public boolean performFinish()

  Store the dialog field settings upon completion.

### getInitialObjectName

    public java.lang.String getInitialObjectName()

### getModelURI

    public java.lang.String getModelURI()

### getModelObject

    public java.lang.String getModelObject()

### getEncoding

    public java.lang.String getEncoding()

### getLabel

    protected java.lang.String getLabel(java.lang.String typeName)

  Returns the label for the specified type name.

### getEncodings

    protected java.util.Collection<java.lang.String> getEncodings()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.